
/*
 *	Declaration of utility functions
 *
 *	Copyright (C) 2000, Rick Gorton
 *
 *	Written by Rick Gorton, July, 2000
 *	gorton@world.std.com
 *	All rights reserved
 *
 * NOTE:
 *	If you find this tool useful, the author is interested in knowing
 *	how you used it, and what kind of modifications you found useful.
 *
 *
 */

Inst *PrevIntReg(Inst *this_inst, RegvType this_reg);
Inst *PrevIntRegUse(Inst *this_inst, RegvType this_reg);
Inst *PrevIntRegSet(Inst *this_inst, RegvType this_reg);

Inst *NextIntReg(Inst *this_inst, RegvType this_reg);
Inst *NextIntRegUse(Inst *this_inst, RegvType this_reg);
Inst *NextIntRegSet(Inst *this_inst, RegvType this_reg);

Inst *PrevFloatReg(Inst *this_inst, RegvType this_reg);
Inst *PrevFloatRegUse(Inst *this_inst, RegvType this_reg);
Inst *PrevFloatRegSet(Inst *this_inst, RegvType this_reg);

Inst *NextFloatReg(Inst *this_inst, RegvType this_reg);
Inst *NextFloatRegSet(Inst *this_inst, RegvType this_reg);
Inst *NextFloatRegUse(Inst *this_inst, RegvType this_reg);

BOOLEAN SetsIntReg(Inst *this_inst, RegvType this_reg);
BOOLEAN UsesIntReg(Inst *this_inst, RegvType this_reg);

BOOLEAN SetsFloatReg(Inst *this_inst, RegvType this_reg);
BOOLEAN UsesFloatReg(Inst *this_inst, RegvType this_reg);

enum Opcodes GetOpcode(Inst *this_inst);
int GetLitValue(Inst *this_inst);
